#!/usr/bin/env python
# -*-python-*-

import sys
import os.path
import pwd
import posix

user = pwd.getpwuid(posix.geteuid())
home = os.path.abspath(user[5])
pylib = home + "/lib/python"

sys.path.insert(0, pylib + "/ModestMaps/py/")
sys.path.insert(0, pylib + "/modestMMarkers/")
sys.path.insert(0, pylib + "/turkishMMap/")
sys.path.insert(0, pylib + "/clusterMMap")

import optparse
from turkishMMap.Providers import GeoRSS

parser = optparse.OptionParser()
parser.add_option("-b", "--url", dest="url", help="The URL to the GeoRSS feed to render", default=None)
parser.add_option("-p", "--provider", dest="provider", help="...", default='OPEN_STREET_MAP')
parser.add_option("-o", "--out", dest="out", help="The path where the PDF file should be created")
parser.add_option("-H", "--height", dest="height", help="Page height (in inches)", default=11)
parser.add_option("-w", "--width", dest="width", help="Page width (in inches)", default=8.5)
parser.add_option("-m", "--margin", dest="margin", help="Page margin (in inches)", default=.25)
parser.add_option("-P", "--paginated", dest="paginated", help="Cluster and paginate the points in the GeoRSS feed", default=False, action='store_true')

(opts, args) = parser.parse_args()

tm = GeoRSS(opts.width, opts.height, opts.margin, 144)
tm.load_provider(opts.provider)
tm.draw_feed(opts.url, paginated=opts.paginated)
tm.save(opts.out)

